DNS Zones

List Dns Records

get/dns/zones/{zone_uuid}/records

List all records in a DNS zone.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

zone_uuid*string

Query parameters

record_type?DNSRecordType | null

Filter by record type

Value in"A""AAAA""CNAME""MX""TXT""SRV""CAA""NS""SOA""PTR""ALIAS""SSHFP""TLSA"

Responses

Successful Response

application/json

array<DNSRecordOut>

uuid*string
name*string
record_type*DNSRecordType
Value in"A""AAAA""CNAME""MX""TXT""SRV""CAA""NS""SOA""PTR""ALIAS""SSHFP""TLSA"
content*string
ttl*integer
priority?integer | null
weight?integer | null
port?integer | null
comment?string | null
region?string | null
created_at*string
Formatdate-time
updated_at*string
Formatdate-time